Subject: Re: linux-next: manual merge of the rseq tree with Linus' tree

From: Mathieu Desnoyers <[email-masked]>
Date: Wed, 15 Nov 2017 15:00:32 +0000 (UTC)

----- On Nov 15, 2017, at 9:48 AM, Stephen Rothwell [email-masked] wrote:

> Hi Ingo,
> 
> On Wed, 15 Nov 2017 09:07:12 +0100 Ingo Molnar <[email-masked]> wrote:
>>
>> There's absolutely no way such invasive x86 changes should be done outside the
>> x86
>> tree and be merged into linux-next.
>> 
>> linux-next should be for the regular maintenance flow, for changes pushed by
>> maintainers and part of the regular maintenance process - not for
>> work-in-progress
>> features that may or may not be merged upstream in that form ...
> 
> Sure.  I was given the impression that Linus was going to be asked to
> merge this tree during this merge window, so I assumed that it had been
> seen by the appropriate people.  Most of these patches include you,
> Linus and Andrew (among others) on their cc's and they seem to have
> gone through several revisions.
> 
> I guess Mathieu has jumped the gun.

The membarrier core serializing command has been developed in the open
since Aug. 27, 2017 [1]. That's one full development cycle. On Sept 28,
2017, I started CCing Ingo when I noticed I would have to add documentation
to each architecture return-to-usermode paths [2]. I have never heard feedback
from him until now.

I am open to remove the x86-specific membarrier core serializing patch from
my tree and hand it to the x86 maintainers after the generic code makes it
into Linus' tree, if this is seen as the appropriate way forward.

Thanks,

Mathieu

[1] http://lkml.kernel.org/r/[email-masked]
[2] http://lkml.kernel.org/r/[email-masked]

> 
> I'll drop it again tomorrow.
> 
> --
> Cheers,
> Stephen Rothwell

-- 
Mathieu Desnoyers
EfficiOS Inc.
http://www.efficios.com